This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 438646 - Partition harddrive when passing upgrade at boot?
Summary: Partition harddrive when passing upgrade at boot?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-23 21:28 UTC by Jerry Vonau
Modified: 2008-04-11 14:35 UTC (History)
0 users

Fixed In Version: 11.4.0.71
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 14:35:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (15.45 KB, text/plain)
2008-03-23 23:20 UTC, Jerry Vonau
no flags Details
anaconda.log F9-beta (16.80 KB, application/octet-stream)
2008-03-26 02:21 UTC, Jerry Vonau
no flags Details

Description Jerry Vonau 2008-03-23 21:28:48 UTC
Description of problem:
At the boot prompt enter upgrade, anaconda offers to set root password and
partition harddrive.

Version-Release number of selected component (if applicable):
anaconda 11.4.0.55

How reproducible:
Try to boot with upgrade

Steps to Reproduce:
1. At the boot prompt enter upgrade
2.
3.
  
Actual results:
Upgrade not offered,

Expected results:
Look for a system to upgrade.

Additional info:
I have 2 systems on different drives, doesn't find either one.
If I boot to rescue, I'm prompted to enter the passphase for the encrypted one. 
I don't see upgrade being passed from loader to anaconda in /tmp/anaconda.log.
Missing the flag?

Comment 1 Jerry Vonau 2008-03-23 23:20:29 UTC
Created attachment 298871 [details]
anaconda.log

Shouldn't anaconda look for an installed system to upgrade by default? After
checking the code, upgradeany at the boot prompt produces the same results. 
log attached

Comment 2 Jeremy Katz 2008-03-23 23:56:02 UTC
This means we're not finding the partition.  Are you trying to upgrade an
encrypted partition?  If so, that's not currently supported

Comment 3 Jerry Vonau 2008-03-24 02:06:34 UTC
Not encrypted, VolGroup00 on sda in the log, is the target. 

FWIW, the encrypted one is on sdb, is found, prompted for a passphase and
mounted, if I boot rescue mode. The normal install on sba is not offered as choice.

Comment 4 Jerry Vonau 2008-03-26 02:18:56 UTC
F-9 Beta show some improvement but still not offered upgrade.
I think the findrootparts in upgrade.py is the problem when calling
findExistingRootPartitions. Don't have time to test right now.

Comment 5 Jerry Vonau 2008-03-26 02:21:01 UTC
Created attachment 299089 [details]
anaconda.log F9-beta

Comment 6 Jerry Vonau 2008-03-26 19:29:46 UTC
Well, I remove the second installed system that was on the second drive via
fdisk, and now I'm offered the upgrade option. 

Comment 7 Jerry Vonau 2008-04-11 14:32:38 UTC
fixed with 11.4.0.71. 

Offered to upgrade both systems found, one on sda3 (VG), and the encrypted one
on sdb3.... :-)




Note You need to log in before you can comment on or make changes to this bug.